JBoss API: Class JDBCFindAllCommand

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.jdbc
Class JDBCFindAllCommand

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
            |
            +--org.jboss.ejb.plugins.jaws.jdbc.JDBCQueryCommand
                  |
                  +--org.jboss.ejb.plugins.jaws.jdbc.JDBCFinderCommand
                        |
                        +--org.jboss.ejb.plugins.jaws.jdbc.JDBCFindAllCommand

All Implemented Interfaces:
  JPMFindEntitiesCommand

public class JDBCFindAllCommand
extends JDBCFinderCommand

JAWSPersistenceManager JDBCFindAllCommand

Version:
  $Revision: 1.5 $
Author:
  Rickard Öberg, Marc Fleury, Joe Shevland, Justin Forder
See Also:

Fields inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCFinderCommand
`finderMetaData`

Fields inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`debug, factory, jawsEntity, log, name`

Constructor Summary
`JDBCFindAllCommand(JDBCCommandFactory factory, FinderMetaData f)`

Method Summary
`java.lang.String` | `getFromClause()` This method must be ovverridden to return the full table list for the query, including any join statements.
`java.lang.String` | `getOrderByClause()` This method must be ovverridded to return the full order by clause for the query, including the 'ORDER BY' keyword.
`java.lang.String` | `getWhereClause()` This method must be overridden to return the where clause used in this query.

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCFinderCommand
`execute, getFinderMetaData, handleResult`

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCQueryCommand
`executeStatementAndHandleResult`

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`getCMPFieldValue, getConnection, getJawsCMPFieldJDBCType, getJDBCType, getJDBCTypeName, getPkColumnList, getPkColumnWhereList, getPkFieldValue, getResultObject, getResultObject, getSQL, getState, isBinaryType, jdbcExecute, setCMPFieldValue, setParameter, setParameters, setPrimaryKeyParameters, setSQL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCFindAllCommand

    public JDBCFindAllCommand(JDBCCommandFactory factory,
                              FinderMetaData f)

Method Detail

### getWhereClause

    public java.lang.String getWhereClause()

  Description copied from class: `JDBCFinderCommand`
  This method must be overridden to return the where clause used in this query. This must start with the keyword 'WHERE' and include all conditions needed to execute the query properly.
  Overrides:
    `getWhereClause` in class `JDBCFinderCommand`

### getFromClause

    public java.lang.String getFromClause()

  Description copied from class: `JDBCFinderCommand`
  This method must be ovverridden to return the full table list for the query, including any join statements. This must start with the keyword 'FROM' and include all tables needed to execute the query properly.
  Overrides:
    `getFromClause` in class `JDBCFinderCommand`

### getOrderByClause

    public java.lang.String getOrderByClause()

  Description copied from class: `JDBCFinderCommand`
  This method must be ovverridded to return the full order by clause for the query, including the 'ORDER BY' keyword.
  Overrides:
    `getOrderByClause` in class `JDBCFinderCommand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.